<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('immigopro_legal_agreements', function (Blueprint $table) {
            $table->id();
            $table->text('content_en')->nullable(); // English agreement content
            $table->text('content_fr')->nullable(); // French agreement content
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('immigopro_legal_agreements');
    }
};
